Skip to main content
PUT
/
agencies
/
team-members
/
{userId}
Update team member
curl --request PUT \
  --url https://api.fanvue.com/agencies/team-members/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "creatorUuids": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}
'
{
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isAdmin": true,
  "nickname": "<string>",
  "email": "jsmith@example.com",
  "displayName": "<string>",
  "creatorAccess": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

userId
string<uuid>
required

Team member user UUID

Body

application/json
creatorUuids
string<uuid>[] | null
required

Array of creator UUIDs that this team member should have access to

nickname
string | null

Nickname for the team member

Response

Team member updated successfully

uuid
string<uuid>
required
isAdmin
boolean
required
nickname
string | null
required
email
string<email>
required
displayName
string
required
creatorAccess
object[]
required